# RtTSCompatibleLightDef Struct Reference

List of all members.

## Public Attributes
RtTSCompatibleLightType | m_Type
| Type of the light.
RtPoint | m_Position
| Position of the light.
RtFloat | m_Red
| Red portion of color.
RtFloat | m_Green
| Green portion of color.
RtFloat | m_Blue
| Blue portion of color.
RtFloat | m_AttConstant
| Constant attenuation modifier.
RtFloat | m_AttLinear
| Linear attenuation modifier.
RtFloat | m_AttQuadratic
| Quadratic attenuation modifier.
RtFloat | m_AttTreshold
| Threshold of the attenuation processing.
RtPoint | m_Direction
| Valid for spot and infinite. For local = 0,0,0.
RtFloat | m_Angle
| Valid for spot (and infinite light created from Directional where it holds size).
RtDWORD | m_ShadowMapSize
| Size of the shadow map.
RtBOOL | m_ShadowsEnabled
| TRUE if shadow is enabled for this light.
RtBOOL | m_AreaVisible
| TRUE if area light geometry is visible.
RtDWORD | m_AreaSamples
| Number of samples for area light.
RtFloat | m_HotspotAngle
| Valid for spot.

## Detailed Description

Definition of the tS compatible light

## Member Data Documentation

RtTSCompatibleLightType RtTSCompatibleLightDef::m_Type

Type of the light.

RtPoint RtTSCompatibleLightDef::m_Position

Position of the light.

RtFloat RtTSCompatibleLightDef::m_Red

Red portion of color.

RtFloat RtTSCompatibleLightDef::m_Green

Green portion of color.

RtFloat RtTSCompatibleLightDef::m_Blue

Blue portion of color.

RtFloat RtTSCompatibleLightDef::m_AttConstant

Constant attenuation modifier.

RtFloat RtTSCompatibleLightDef::m_AttLinear

Linear attenuation modifier.

RtFloat RtTSCompatibleLightDef::m_AttQuadratic

Quadratic attenuation modifier.

RtFloat RtTSCompatibleLightDef::m_AttTreshold

Threshold of the attenuation processing.

RtPoint RtTSCompatibleLightDef::m_Direction

Valid for spot and infinite. For local = 0,0,0.

RtFloat RtTSCompatibleLightDef::m_Angle

Valid for spot (and infinite light created from Directional where it holds size).

RtDWORD RtTSCompatibleLightDef::m_ShadowMapSize

Size of the shadow map.

RtBOOL RtTSCompatibleLightDef::m_ShadowsEnabled

TRUE if shadow is enabled for this light.

RtBOOL RtTSCompatibleLightDef::m_AreaVisible

TRUE if area light geometry is visible.

RtDWORD RtTSCompatibleLightDef::m_AreaSamples

Number of samples for area light.

RtFloat RtTSCompatibleLightDef::m_HotspotAngle

Valid for spot.